﻿#language: ru

@quality_control

Функционал: 03_quality_control. Создание документа Показатели складов. Установка норматива

Сценарий: 03_quality_control. Создание документа Показатели складов. Установка норматива
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Показатели складов. Установки нормативов'
	Тогда открылось окно 'Показатели складов. Установки нормативов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание)'
	И в таблице "Нормативы" я нажимаю на кнопку с именем 'НормативыДобавить'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Солилка'  |	
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Температура'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание) *'
	И в таблице "Нормативы" в поле 'Значение С' я ввожу текст '3,000'
	И в таблице "Нормативы" в поле 'Значение по' я ввожу текст '4,000'
	И в таблице "Нормативы" я нажимаю на кнопку с именем 'НормативыДобавить'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Вид показателя"
	Тогда открылось окно 'Виды показателей складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Солилка'  |	
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание) *'
	И в таблице "Нормативы" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели складов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Давление'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатели складов. Установка норматива (создание) *'
	И в таблице "Нормативы" в поле 'Значение С' я ввожу текст '12'
	И в таблице "Нормативы" в поле 'Значение по' я ввожу текст '335'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Показатели складов. Установка норматива (создание) *' в течение 20 секунд
	Тогда открылось окно 'Показатели складов. Установки нормативов'
	И Я закрываю окно 'Показатели складов. Установки нормативов'